Package: org.gradle.nativeplatform

## [Java] Interface NativeExecutableBinary

- org.gradle.nativeplatform.NativeBinary

- All Superinterfaces:
    Binary, NativeBinary

  A binary artifact for a NativeExecutable, targeted at a particular platform with specific configuration.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getExecutableFile()` The executable file.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface NativeBinary` | `getBuildType, getFlavor, getTargetPlatform`
    `interface Binary` | `getDisplayName`

- - ### Method Detail

    - #### public File getExecutableFile()

      The executable file.